Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24219

Description

I have a batch processing routine that I have saved to .json format for repeated use. When I reload the batch configuration it encloses

layer references in double quotes, which causes an error when running the batch process. In order to make things work I have to manually

remove the double quotes from all layer references.

How to reproduce:

    1. Create a batch process and save to .json

    2. Close the dialog and reopen

    3. Load the saved .json file

What happens:

Layer references are enclosed in double quotes, which causes an error when the tool is run.

What should happen:

Layer references are not enclosed in anything and the tool runs successfully without needing further user input.

Associated revisions

Revision 43595f5d - 2017-05-13 10:11 AM - Alexander Bruy

[processing] remove extra quotes when loading batch process from file

(fix #16309)

Revision 6fe459de - 2017-05-13 10:14 AM - Alexander Bruy

[processing] remove extra quotes when restoring batch process from file

(fix #16309)

History

#1 - 2017-03-07 09:24 AM - Giovanni Manghi

- Category set to Processing/Core

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2017-05-13 10:12 AM - Alexander Bruy

- Status changed from Open to Closed

- % Done changed from 0 to 100
Applied in changeset commit:qgis|43595f5d0afb375da0d10dd9be337603a2f6aa61.

#4 - 2017-05-13 10:15 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Description updated
